Subject: Re: [dispatch] Draft new: draft-holmberg-dispatch-iotl-00 - headers alternative

From: Christer Holmberg <[email-masked]>
Date: Mon, 12 May 2014 12:52:06 +0000

Hi,

>> It's not particularly well described in RFC 3261, but when a request 
>> is to be sent to a URI containing a headers component, the headers 
>> component is removed and used to construct additional headers in the 
>> request.
>> Hence, devices outside the domain of the URI are intended to 
>> manipulate the headers component of a URI.
>
> RFC 3261 sections 19.1.1 and 19.1.2 (Table 1) indicate that headers are not allowed within Route.

Correct.

Also, 19.1.1 says:

	"Headers: Header fields to be included in a request constructed
         	from the URI."

But, when iotl is included in an INVITE, the receiver is not going construct a request from the URI.

Regards,

Christer